# Cost

The "Cost" section contains an endpoint that enables users to retrieve an estimated cost, showing them approximately how much they will be charged at the end of the month. This functionality provides users with insight into their anticipated expenses, aiding in financial planning and budget management.

## Get costs by team

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/api/teams/{id}/costs`

Get a cost estimate for a specific team.

#### Headers

| Name                                            | Type   | Description  |
| ----------------------------------------------- | ------ | ------------ |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer Token |

#### Request Body

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String | team id     |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "total": 12,
    "dbs": [],
    "apps": [
        {
            "_id": "6548d4f261cabb0308b984ee",
            "status": 3,
            "name": "kraud-cloud-nextcloud-berlin-01",
            "price": "6548a383e2442d14b6bf96fc",
            "cost": 0
        }
    ],
    "vms": [
        {
            "_id": "6548a43a38406c14db33b68c",
            "status": 7,
            "name": "kraud-cloud-ubuntu-1vcpu-4gb-berlin-01",
            "price": "6548a383e2442d14b6bf970b",
            "cost": 0
        }
    ],
    "k8s": [
        {
            "name": "k8s-development-1",
            "cluster": "6548a4f038406c14db33b7d8",
            "status": 6,
            "resources": [
                {
                    "resource": "6548a4f038406c14db33b7da",
                    "priceId": "6548a383e2442d14b6bf9712",
                    "cluster": "6548a4f038406c14db33b7d8",
                    "cost": 0
                },
                {
                    "resource": "6548a4f138406c14db33b7de",
                    "priceId": "6548a383e2442d14b6bf970e",
                    "cluster": "6548a4f038406c14db33b7d8",
                    "cost": 12
                }
            ],
            "cost": 12
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/enclaive-multi-cloud-platform/developers/api/client-api/billing/cost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
